POST api/prospects/search
Request Information
URI Parameters
None.
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "22767903-9b72-4071-bd1a-59bfec31dc71",
"toPersonIds": [
"8fbf0d3d-333b-40f0-8886-85f126ac75d0",
"99857785-0c7f-43c3-b5fb-e1d7ed6346c8"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"b3254778-1d8a-4f8a-92d3-41a99acdf37d",
"87f42af9-854e-40c4-bb28-e50b41e320ed"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"52616fb0-4660-4274-ac02-0ce752ea9c6c",
"9ecff792-4b35-4f89-a773-09a99a971882"
],
"filterOrderOnCampaigns": [
"66c64d22-81fe-413b-9947-dec7430b9df8",
"b4a56d55-a3c7-49c3-b3d2-81851db5ccc3"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-03-09T10:53:03.3621585+01:00",
"updatedTo": "2026-03-09T10:53:03.3621585+01:00",
"lastBuyFrom": "2026-03-09T10:53:03.3621585+01:00",
"lastBuyTo": "2026-03-09T10:53:03.3621585+01:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"c3951af0-3456-4390-96ac-d5be86e24840",
"6d1eb141-0ad7-4b69-abcd-0aec13817f18"
],
"not": true,
"from": "2026-03-09T10:53:03.3621585+01:00",
"to": "2026-03-09T10:53:03.3621585+01:00"
},
"campaigns": {
"campaigns": [
"90f4b856-3bcc-4e97-8680-4f2fb2829fbb",
"5c3b13eb-25a4-47a7-8acf-a24b83a7a675"
],
"not": true,
"from": "2026-03-09T10:53:03.3821644+01:00",
"to": "2026-03-09T10:53:03.3821644+01:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"384cc5ab-84cd-4e70-9315-b899abf182c7",
"ec6a4f8a-94b4-4e7a-ba7c-ae1509e0282e"
],
"products": [
"978a4a55-b99b-481e-bda9-a4bf66c40e4f",
"b3c22782-3c0f-4eb7-b7f3-953913aa9cee"
],
"campaigns": [
"efaa2dc4-d81f-4452-8a8b-6a36979953d5",
"937fb188-4b16-4477-999c-eda7fc7e4167"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.